Houdini Engine failed to initialize on Linux

   679   1   0
User Avatar
Member
275 posts
Joined: May 2007
Offline
Hi on centos i tried maya2016+h16.5 it works,but not work neighter maya2016+h17.5 nor maya2018+h16.5 or maya2018+h17.5,it tells me :

could not crate a Houdini Session.please edit the Back End preferences and reloat the plugin

but it failed after i tried every Backed End settings.and i dissabled all other plugins too.what else the problem is?
thank you!
https://vimeo.com/user3971456/videos [vimeo.com]
User Avatar
Staff
146 posts
Joined: Oct. 2017
Offline
One thing to check in which Version of Houdini your Maya modules file is pointing to (assuming that you are not setting the MAYA_MODULE_PATH explicitly). Take a look at the houdiniEngine-maya2018 in your maya2018 modules directory, and houdiniEngine-maya2016 in your maya2016 modules directory and make sure that they are pointing to a cut of Houdini that is currently installed on your machine. If instead you are using the MAYA_MODULE_PATH envvar make sure it is pointing at the version of houdini that you wish to run.

When trying the other back ends (socket, and named pipe with manual server), how did you start the HARS server? Do you see any other error messages in the script editor besides the one you mentioned in your post? Do you get different errors for the different back end settings?

Another thing to note is that even if other plugins are not loaded, Maya will update its environment from all the module files in its current module directory, so just not auto-loading them may not be enough to disable their all their effects. What is LD_LIBRARY_PATH set to inside your Maya environment? If it's set at all, try unsetting it and then loading the plugin.

Also, which versions of 16.5 and 17.5 are you using? Which version of Centos?
  • Quick Links